Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## javax.persistence
Annotation Type TableGenerator

    @Target(value={TYPE,METHOD,FIELD})
    @Retention(value=RUNTIME)
    public @interface TableGenerator

This annotation defines a primary key generator that may be referenced by name when a generator element is specified for the GeneratedValue annotation. A table generator may be specified on the entity class or on the primary key field or property. The scope of the generator name is global to the persistence unit (across all generator types).

Author:
  Emmanuel Bernard

Required Element Summary
`String` | `name` A unique generator name that can be referenced by one or more classes to be the generator for id values

Optional Element Summary
`int` | `allocationSize` The amount to increment by when allocating id numbers from the generator
`String` | `catalog` The catalog of the table Defaults to the default catalog
`int` | `initialValue` The initial value to be used when allocating id numbers from the generator
`String` | `pkColumnName` Name of the primary key column in the table Defaults to a provider-chosen name
`String` | `pkColumnValue` The primary key value in the generator table that distinguishes this set of generated values from others that may be stored in the table Defaults to a provider-chosen value to store in the primary key column of the generator table
`String` | `schema` The schema of the table Defaults to the default schema for user
`String` | `table` Name of table that stores the generated id values.
`UniqueConstraint[]` | `uniqueConstraints` Unique constraints that are to be placed on the table.
`String` | `valueColumnName` Name of the column that stores the last value generated Defaults to a provider-chosen name

Element Detail

### name

    public abstract String name

  A unique generator name that can be referenced by one or more classes to be the generator for id values

### table

    public abstract String table

  Name of table that stores the generated id values. Defaults to a name chosen by persistence provider.

  Default:
    ""

### catalog

    public abstract String catalog

  The catalog of the table Defaults to the default catalog

  Default:
    ""

### schema

    public abstract String schema

  The schema of the table Defaults to the default schema for user

  Default:
    ""

### pkColumnName

    public abstract String pkColumnName

  Name of the primary key column in the table Defaults to a provider-chosen name

  Default:
    ""

### valueColumnName

    public abstract String valueColumnName

  Name of the column that stores the last value generated Defaults to a provider-chosen name

  Default:
    ""

### pkColumnValue

    public abstract String pkColumnValue

  The primary key value in the generator table that distinguishes this set of generated values from others that may be stored in the table Defaults to a provider-chosen value to store in the primary key column of the generator table

  Default:
    ""

### initialValue

    public abstract int initialValue

  The initial value to be used when allocating id numbers from the generator

  Default:
    0

### allocationSize

    public abstract int allocationSize

  The amount to increment by when allocating id numbers from the generator

  Default:
    50

### uniqueConstraints

    public abstract UniqueConstraint[] uniqueConstraints

  Unique constraints that are to be placed on the table. These are only used if table generation is in effect. These constraints apply in addition to primary key constraints Defaults to no additional constraints

  Default:
    {}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT